Subject: Re: linux-next: manual merge of the tip tree with the mm-unstable tree

From: Andrew Morton <[email-masked]>
Date: Wed, 9 Jul 2025 21:50:29 -0700

On Thu, 10 Jul 2025 14:30:52 +1000 Stephen Rothwell <[email-masked]> wrote:

> Today's linux-next merge of the tip tree got a conflict in:
> 
>   mm/vmstat.c
> 
> between commit:
> 
>   954386324a11 ("mm/vmstat: utilize designated initializers for the vmstat_text array")

Oh dear god that patch will be the death of me.  Everyone likes to mess
with the vmstat array!

> from the mm-unstable tree and commit:
> 
>   8662a3e5e9c4 ("Revert "sched/numa: add statistics of numa balance task"")
> 
> from the tip tree.
> 
> I fixed it up (see below - search for NUMA_BALANCING) and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.
> 
> I assume that this will go away when the Revert above goes into Linus'
> tree (or returns to the mm-hotfixes tre).

Yep, thanks.